Package org.eclipse.emf.cdo.spi.common.revision

## Class RevisionInfo.Missing

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.RevisionInfo
  - - org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Missing

- Enclosing class:
    RevisionInfo

      public static class RevisionInfo.Missing
      extends RevisionInfo

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

      `RevisionInfo.Available, RevisionInfo.Missing, RevisionInfo.Type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Missing​(CDOID id, CDOBranchPoint requestedBranchPoint)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RevisionInfo.Type` | `getType()` |
    `boolean` | `isLoadNeeded()` |

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

      `doReadResult, doWriteResult, execute, getID, getRequestedBranchPoint, getResult, getSynthetic, processResult, read, readResult, readResult, readRevision, setResult, setSynthetic, toString, write, writeResult, writeResult, writeResult, writeResult, writeRevision, writeRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Missing

          public Missing​(CDOID id,
                         CDOBranchPoint requestedBranchPoint)

  - ### Method Detail

    - #### getType

          public RevisionInfo.Type getType()

      Specified by:
        `getType` in class `RevisionInfo`

    - #### isLoadNeeded

          public boolean isLoadNeeded()

      Specified by:
        `isLoadNeeded` in class `RevisionInfo`